Subject: WARNING: iputils is not very fresh, upgrade is recommended; bug in iputils or kernel?

From: "L. A. Walsh" <[email-masked]>
Date: Wed, 30 Sep 2015 17:46:26 -0700

According to the comment in the code:
---
            /* Sigh, IP_RECVERR for raw socket
             * was broken until 2.4.9. So, we ignore
             * the first error and warn on the second.
             */
            if (once++ == 1)
              fprintf(stderr, "\rWARNING: kernel is not very fresh, 
upgrade is recommended.\n");

----
When I first saw the error I wondered how fresh my kernel had
to be to pass iputils' tests, since I'm running on:

Ishtar:packages/build/iputils-s20121221> uname -a
Linux Ishtar 4.1.0-Isht-Van #2 SMP PREEMPT Tue Jun 23 07:52:09 PDT 2015 
x86_64 x86_64 x86_64 GNU/Linux

So I looked at code  Um... why is iputils thinking
that 4.1.0 < 2.4.9 -- or that 4.1.0 is older than
2.4.9?

I humbly submit that 4.1.0, released in 2015 is
unquestionably 'fresher' than the date on iputils of 2012.

Does this mean the check in iputils is faulty w/r/t new
kernels, or do new kernels have a *SERIOUS* regression?